indexing
   TITLE:       "Utilities for testing"
   CLUSTER:     "Time & Date - Timespan"
   PROJECT:     "SIG Moscow Cluster library"
   COPYRIGHT:   "SIG Computer Inc, Moscow", 1995
   AUTHOR:      "Frieder Monninger"
   ORIGINAL:    "3,June,95"
   VERSION:     "1.0"
   DONE_AT:     "SIG Computer Inc, Moscow (info@eiffel.ru)"
   LICENSE:     "GNU Library GPL - see included readme file"

class TESTUTIL
   inherit
      IO_USER

   feature

      s_short_duration (p: SHORT_DURATION) :STRING is

         do
            Result := "HMS: ";
            Result.append (strg (p.hour_part)); Result.append (":");
            Result.append (strg (p.minute_part)); Result.append (":");
            Result.append (strg (p.second_part)); Result.append (" ")
         end;

      s_long_duration (p: LONG_DURATION): STRING is

         do
            Result := "YMD: ";
            Result.append (strg (p.year_part)); Result.append (":");
            Result.append (strg (p.month_part)); Result.append (":");
            Result.append (strg (p.day_part)); Result.append ("");
         end;

      s_duration (p: DURATION): STRING is

         do
            Result := s_long_duration (p);
            Result.append ("+");
            Result.append (s_short_duration (p))
         end;

      s_time (p: TIME): STRING is

         do
            Result := "Time: "
            Result.append (strg (p.hour_part)); Result.append (":");
            Result.append (strg (p.minute_part)); Result.append (":");
            Result.append (strg (p.second_part)); Result.append (" ");
         end;

      s_date (p: DATE): STRING is

         do
            Result := "Date:";
            Result.append (strg (p.year_part)); Result.append ("/");
            Result.append (strg (p.month_part)); Result.append ("/");
            Result.append (strg (p.day_part)); Result.append ("");
         end;

      s_timestamp (p: TIMESTAMP): STRING is

         do
            Result := s_date (p);
            Result.append ("+");
            Result.append ( s_time (p));
         end;

      end -- class testutil
      
